Skip to main content
POST
Create routing form response and get available slots

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

orgId
number
required
teamId
number
required
routingFormId
string
required

Query Parameters

start
string
required
Example:

"2050-09-05"

end
string
required
Example:

"2050-09-06"

timeZone
string

Time zone in which the available slots should be returned. Defaults to UTC.

Example:

"Europe/Rome"

duration
number

If event type has multiple possible durations then you can specify the desired duration here. Also, if you are fetching slots for a dynamic event then you can specify the duration her which defaults to 30, meaning that returned slots will be each 30 minutes long.

Example:

"60"

format
enum<string>

Format of slot times in response. Use 'range' to get start and end times.

Available options:
range,
time
Example:

"range"

bookingUidToReschedule
string

The unique identifier of the booking being rescheduled. When provided will ensure that the original booking time appears within the returned available slots when rescheduling.

Example:

"abc123def456"

queueResponse
boolean

Whether to queue the form response.

Example:

true

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required